(defpackage #:LED-cube
  (:use #:cl)
  (:nicknames :cube)
  (:export #:*cube-dimension* #:*current-cube-number* #:*current-intensity* #:*animation*
	   #:make-cube #:current-cube #:do-cube-times #:LED-number-to-coord #:sleep-for-delay #:goto-cube
	   #:with-disabled-save-undo #:undo
	   #:set-LED #:get-LED #:set-current-intensity
           #:*default-frame-delay*
           #:copy-cube #:insert-cube-copy #:fill-cube #:empty-cube #:delete-cube #:delete-animation
	   #:move-cube
	   #:open-cube-device #:close-cube-device #:write-cube-to-device
           #:*device-file* #:set-device-file
           #:load-animation-file #:save-animation-file
           #:*transformations*
           #:start-networking #:stop-networking #:network-upload-animation #:set-server-address 
           #:*default-server-port* #:*default-server-name* #:get-server-name-or-ip #:get-server-port))

(defpackage #:cube-modeller
  (:use #+nil #:cl #:LED-cube #:clim #:clim-lisp #:clim-sys)
  ;; (:nickname :modeller)
  (:shadow #:move-cube #:goto-cube #:fill-cube #:empty-cube #:insert-cube-copy
           #:delete-cube #:delete-animation #:undo #:set-current-intensity)
  (:export #:start #:start-viewer #:start-toolbox

           #:start-animation-process #:stop-animation-process))

(in-package :cube-modeller)

(defparameter *default-pathname* (make-pathname :name nil :type nil
                                                :defaults (merge-pathnames #p"data/" *load-truename*)))
